# -*- coding: utf-8 -*-

from define import *
import os.path
import ast

class Action():
	
	def __init__(self,ID):

		self.add = ID.split(";")[1]
		self.name = ID.split(";")[0]
		self.path = D_file + "valeurs/"

		self.Journee = {}
		
		self.valeur = 0
		self.valref = 0
		
		#nombre d'action
		self.possedent = 0
		#Total de l'argent dépenser pour l'achat des actions
		self.valeurAchat = 0 

		#NBNeurone par action
		self.Tab = [1]*NBNeurone

		self.chaleur = 0

	def MajQuotidient(self,date):
		name=self.path+self.name+"-"+date
		F_Journee = open(name,"r")
		self.Journee = ast.literal_eval(F_Journee.readline())
		Quoti = ast.literal_eval(F_Journee.readline())
		self.valref = float(Quoti["1semaine"][1])
		# ~ self.Tab[0]=float(Quoti["1semaine"][0].strip("%"))/100
		# ~ self.Tab[1]=float(Quoti["1mois"][0].strip("%"))/100
		# ~ self.Tab[2]=float(Quoti["3mois"][0].strip("%"))/100
		# ~ self.Tab[3]=float(Quoti["6mois"][0].strip("%"))/100
		# ~ self.Tab[4]=float(Quoti["1an"][0].strip("%"))/100
		# ~ _3ans=Quoti["3ans"][0].strip("%")
		# ~ if (_3ans != '-'):
			# ~ self.Tab[5]=float(_3ans)/100
		# ~ _5ans=Quoti["5ans"][0].strip("%")
		# ~ if (_5ans != '-'):
			# ~ self.Tab[6]=float(_5ans)/100
		# ~ _10ans=Quoti["10ans"][0].strip("%")
		# ~ if (_10ans != '-'):
			# ~ self.Tab[7]=float(_10ans)/100
		
		#Plus tard ajout des NM ... 
		#self.Tab[0]=Quoti["MM20"]
		#self.Tab[0]=Quoti["MM50"]
		#self.Tab[0]=Quoti["MM100"]
		#self.Tab[0]=Quoti["RSI14"]
		
	
	def Maj1min(self,heure):
		print(heure)
		val=self.Journee.get(heure)
		while (val == None):			
			heure = minute[minute.index(heure)+1]
			self.valeur=self.Journee.get(heure)
		# ~ self.Tab.insert(NBInfoSupplementaire,val/self.valref)
		self.Tab.insert(0,self.valeur/self.valref)
		self.Tab=self.Tab[0:-1]
		
			

	def getTable(self):
		return self.Tab
	
	def getValue(self):
		return self.valeur * self.possedent
		
	def MAJchaleur(self,pour):
		self.chaleur = pour
	
	def Surveillance(self,Portefeuille,Frais):
		if self.chaleur > 1.5 and self.possedent==0:
			print ("Achat " + self.name )
			ValeursAchat = 1000
			print(self.Tab[0])
			self.possedent+=(ValeursAchat/self.valeur)
			Portefeuille-=ValeursAchat
			Frais+=1
			
		if self.chaleur<0.5 and self.possedent !=0 :
			# ~ print ("Vente " + self.name )
			Portefeuille+=self.possedent*self.Tab[0]
			self.possedent=0
			Frais+=1
